package cz.muni.sutralog.lib

import android.content.Context
import android.view.View
import android.widget.TextView
import com.skydoves.colorpickerview.ColorEnvelope
import com.skydoves.colorpickerview.flag.FlagView
import cz.muni.sutralog.R


class ColorPickerFlag(context: Context?, layout: Int) : FlagView(context, layout) {
    private var alphaTileView: View = findViewById(R.id.flag_color_layout)

    override fun onRefresh(colorEnvelope: ColorEnvelope) {
        alphaTileView.setBackgroundColor(colorEnvelope.color)
    }
}